package com.freemud.application.sdk.api.ordercenter.response;

public class BaseResponse<T> {
    /**
     * 版本号
     */
    protected String ver;
    /**
     * 响应状态码
     */
    protected String code;
    /**
     * 返回信息
     */
    protected String message;
    private String scrollId;

    private T result;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getVer() {
        return ver;
    }

    public void setVer(String ver) {
        this.ver = ver;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public T getResult() {
        return result;
    }

    public String getScrollId() {
        return scrollId;
    }

    public void setScrollId(String scrollId) {
        this.scrollId = scrollId;
    }

    public void setResult(T result) {
        this.result = result;
    }

    public BaseResponse() {
    }

    public BaseResponse(String ver, String code, String message, T result) {
        this.ver = ver;
        this.code = code;
        this.message = message;
        this.result = result;
    }
}